[@bigcommerce/checkout-sdk](../README.md) / AdyenBaseCardComponentOptions

# Interface: AdyenBaseCardComponentOptions

## Hierarchy

- **`AdyenBaseCardComponentOptions`**

  ↳ [`AdyenCreditCardComponentOptions`](AdyenCreditCardComponentOptions.md)

  ↳ [`AdyenIdealComponentOptions`](AdyenIdealComponentOptions.md)

## Table of contents

### Properties

- [brands](AdyenBaseCardComponentOptions.md#brands)
- [showBrandsUnderCardNumber](AdyenBaseCardComponentOptions.md#showbrandsundercardnumber)
- [styles](AdyenBaseCardComponentOptions.md#styles)

## Properties

### brands

• `Optional` **brands**: `string`[]

Array of card brands that will be recognized by the component.

___

### showBrandsUnderCardNumber

• `Optional` **showBrandsUnderCardNumber**: `boolean`

___

### styles

• `Optional` **styles**: [`StyleOptions`](StyleOptions.md)

Set a style object to customize the input fields. See Styling Secured Fields
for a list of supported properties.
